/*			TOASCII
 *
 *	send out only ascii, non-printables, are dot'ed
 *	lines are truncated at 80 columns
 *
 * input from stdin to stdout
 */


main()
{
	char c;
	int i;

	i=0;
	while(c=getchar()) {
		if(c<32) {
			if(c=='\t') {
				putchar('\t');
			} else {
				if(index("\n\r",c)) {
					i=0;
					putchar(c);
				} else {
					putchar('.');
				}
			}
		} else {
			putchar(c);
		}

		if(i++==80) {
			i=0;
			putchar('\n');
			putchar('\r');
		}
	}
}
